## org.eclipse.emf.mapping
Interface MappingFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  MappingFactoryImpl

    public interface MappingFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `MappingPackage`

Field Summary
`static MappingFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`ComplexTypeConverter` `createComplexTypeConverter()` Returns a new object of class 'Complex Type Converter'
`FunctionNamePair` `createFunctionNamePair()` Returns a new object of class 'Function Name Pair'
`FunctionPair` `createFunctionPair()` Returns a new object of class 'Function Pair'
`Mapping` `createMapping()` Returns a new object of class 'Mapping'
`MappingHelper` `createMappingHelper()` Returns a new object of class 'Helper'
`MappingRoot` `createMappingRoot()` Returns a new object of class 'Root'
`MappingStrategy` `createMappingStrategy()` Returns a new object of class 'Strategy'
`TypeConverter` `createTypeConverter()` Returns a new object of class 'Type Converter'
`MappingPackage` `getMappingPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final MappingFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createMappingHelper

    MappingHelper createMappingHelper()

  Returns a new object of class 'Helper'.

  Returns:
    a new object of class 'Helper'.

### createMapping

    Mapping createMapping()

  Returns a new object of class 'Mapping'.

  Returns:
    a new object of class 'Mapping'.

### createTypeConverter

    TypeConverter createTypeConverter()

  Returns a new object of class 'Type Converter'.

  Returns:
    a new object of class 'Type Converter'.

### createFunctionPair

    FunctionPair createFunctionPair()

  Returns a new object of class 'Function Pair'.

  Returns:
    a new object of class 'Function Pair'.

### createFunctionNamePair

    FunctionNamePair createFunctionNamePair()

  Returns a new object of class 'Function Name Pair'.

  Returns:
    a new object of class 'Function Name Pair'.

### createMappingStrategy

    MappingStrategy createMappingStrategy()

  Returns a new object of class 'Strategy'.

  Returns:
    a new object of class 'Strategy'.

### createMappingRoot

    MappingRoot createMappingRoot()

  Returns a new object of class 'Root'.

  Returns:
    a new object of class 'Root'.

### createComplexTypeConverter

    ComplexTypeConverter createComplexTypeConverter()

  Returns a new object of class 'Complex Type Converter'.

  Returns:
    a new object of class 'Complex Type Converter'.

### getMappingPackage

    MappingPackage getMappingPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.